package com.tcctlo.law.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.law.entity.CaseInformation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctlo.law.vo.CaseInformationListVO;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 案件信息表 Mapper 接口
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
public interface CaseInformationMapper extends BaseMapper<CaseInformation> {

    /**
     * 分页条件查询
     * @param page 分页对象
     * @param condition 条件参数
     * @return 结果集
     */
    Page<CaseInformationListVO> selectCondition(@Param("page") Page<CaseInformationListVO> page, @Param("condition") Map<String, Object> condition);
}
