package com.tcctlo.law.mapper;

import com.tcctlo.law.entity.CollectionRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctlo.law.vo.CollectionRecordEnterVO;
import io.lettuce.core.dynamic.annotation.Param;

import java.util.List;

/**
 * <p>
 * 收款记录表 Mapper 接口
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
public interface CollectionRecordMapper extends BaseMapper<CollectionRecord> {

    /**
     * 根据案件ID查询收款记录
     * @param caseId 案件ID
     * @return 结果集
     */
    List<CollectionRecordEnterVO> selectByCaseId(@Param("caseId") Long caseId);
}
